package ftp_client;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Rectangle;

// Fenetre "A propos"
public class AboutBox {

	// La fenetre et les 2 labels
	private Shell sShell = null;
	private Label label = null;
	private Label label1 = null;

	// Constructor
	public AboutBox(){
		createSShell(); // On initialise la fenetre
		sShell.open();	// Et on l'affiche
	}

	private void createSShell() {
		// Creation de la fenetre
		sShell = new Shell(Display.getDefault(), SWT.NONE | SWT.MIN);
		sShell.setText("À propos");
		sShell.setLayout(null);
		sShell.setSize(new Point(368, 177));
		
		// Premier label
		label1 = new Label(sShell, SWT.NONE | SWT.CENTER);
		label1.setText("Client FTP");
		label1.setBounds(new Rectangle(0, 0, 362, 74));
		label1.setFont(new Font(null, "TAHOMA", 50, 0));
		
		// Deuxieme label
		label = new Label(sShell, SWT.NONE);
		label.setText("Projet JAVA de licence 3 CDA\nVersion\t: 1.0\nAuteur\t: Maxence Jaouan\nContact\t: m.jaouan@gmail.com");
		label.setBounds(new Rectangle(90, 78, 207, 65));
	}
	
	// Si la fenetre n'est pas initialisée ou si elle a été détruite, alors retourner vrai
	public boolean isDisposed(){ return sShell==null || sShell.isDisposed(); }
}
